Skip to main content

List Targets

GET 

/profile/targets/

Request​

Query Parameters

    enabled boolean
    exclude_team string[]

    Names of the teams to exclude from results, as a query string.
    For example, "exclude_team=Frontend" or "exclude_team=Frontend&exclude_team=Backend".

    id string[]

    Identifiers of targets to filter results. Multiple choices are possible by repeating the query_param.

    label string[]

    Target label IDs to filter results, as a query string.

    label_logical_operator string

    Possible values: [and, or]

    Logical operator to apply between target labels.
    (Defaults to or)

    • and - and
    • or - or
    length integer

    Number of results to return per page.

    ordering string

    Which field to use when ordering the results.

    page integer

    A page number within the paginated result set.

    risk string[]

    Possible values: [0, 10, 20, 30, 40, null]

    Target risk to filter results:

    • None - Not applicable.
    • 0 - No risk.
    • 10 - Low risk.
    • 20 - Medium risk.
    • 30 - High risk.
    • 40 - Critical risk.
    role string[]
    scan_profile string[]

    Identifier of the scan profile to filter results.

    search string

    A search term.

    team string[]

    Names of the teams to filter results, as a query string.
    For example, "team=Frontend" or "team=Frontend&team=Backend".

    type string[]
    unlimited boolean

    If true, filter results by targets with unlimited scans.
    If false, filter results by targets that use credits.

    verified boolean

Responses​

Schema

    count integer

    Total number of results.

    page_total integer

    Total number of pages.

    page integer

    Number of the current page.
    The first page is 1.
    Defaults to 1 if no specific page is requested.

    length integer

    Number of results returned per page.

    results

    object[]

  • Array [

  • id stringrequired

    A unique Base58 value identifying this object.

    site

    object

    required

    Core settings of the target.
    Includes basic target information like the name and URL.

    id stringrequired

    A unique Base58 value identifying this object.

    name stringrequired

    Name of the target or extra host.
    The maximum length is 255 characters.

    url stringrequired

    URL of the target.

    changed date-timerequired

    Date and time of the last change, in ISO 8601 UTC format.
    For example, "2023-08-09T13:27:43.8208302".

    changed_by

    object

    required

    User who last made changes.

    id stringrequired

    A unique Base58 value identifying this object.

    email email

    Possible values: <= 254 characters

    Email of the user.

    name stringrequired

    Possible values: <= 60 characters

    Name of the user.

    user_roles stringrequired
    changed date-timerequired

    Date and time of the last change, in ISO 8601 UTC format.
    For example, "2023-08-09T13:27:43.8208302".

    changed_by

    object

    required

    User who last made changes.

    id stringrequired

    A unique Base58 value identifying this object.

    email email

    Possible values: <= 254 characters

    Email of the user.

    name stringrequired

    Possible values: <= 60 characters

    Name of the user.

  • ]

Loading...